module Jobshop
  class Department < ApplicationRecord
    belongs_to :organization, -> { readonly }, inverse_of: :departments

    has_many :assignments, inverse_of: :department,
      dependent: :restrict_with_exception

    has_many :employees, through: :assignments
  end
end
