# frozen_string_literal: true

module Jobshop
  class Role < ApplicationRecord
    belongs_to :organization, inverse_of: :roles

    has_many :role_assignments, inverse_of: :role

    validates :name, presence: true
  end
end
