# frozen_string_literal: true

module Jobshop
  class RoutingProcess < ApplicationRecord
    belongs_to :organization, -> { readonly }, inverse_of: :routing_processes

    belongs_to :product, inverse_of: :routing_process

    has_many :routing_steps, inverse_of: :routing_process
  end
end
