# frozen_string_literal: true

module Jobshop
  class RoutingStep < ApplicationRecord
    belongs_to :organization, -> { readonly }

    belongs_to :routing_process, inverse_of: :routing_steps

    validates :name, presence: true
  end
end
