# frozen_string_literal: true

class InitializeJobshop < ActiveRecord::Migration[5.2]
  def change
    enable_extension "pgcrypto"   unless extension_enabled? "pgcrypto"
    enable_extension "citext"     unless extension_enabled? "citext"
    enable_extension "btree_gist" unless extension_enabled? "btree_gist"

    execute File.read(
      File.join(Jobshop::Engine.config.paths["db/migrate"].first,
                "support/temporal_tables.sql"))
  end
end
