# frozen_string_literal: true

require "jobshop/helpers/migration.rb"

class CreateOrganizations < ActiveRecord::Migration[5.2]
  include Jobshop::Helpers::Migration

  def change
    create_table_with_auditing :jobshop_organizations, primary_key: :id do |t|
      t.citext :name, null: false, index: true
      t.timestamps
    end
  end
end
