module Jobshop
  class ApplicationController < ActionController::Base
    protect_from_forgery with: :exception

    layout "jobshop/application"

    before_action :authenticate_user!

    def current_organization
      @current_organization ||= current_user&.organization
    end; helper_method :current_organization
  end
end
