# frozen_string_literal: true

module Jobshop
  class RFQResponderMailer < ApplicationMailer

    # Subject can be set in your I18n file at config/locales/en.yml
    # with the following lookup:
    #
    #   en.rfq_responder_mailer.verified_contact.subject
    #
    def verified_contact
      @to = params[:customer_contact]
      @greeting = "RFQ Received"

      mail(to: @to.email)
    end
  end
end
