module Jobshop
  class Ability < ApplicationRecord
    belongs_to :organization, -> { readonly }
    has_many :role_abilities, -> (object) { where(organization_id: object.organization_id) }
    has_many :roles, through: :role_abilities
  end
end
