# frozen_string_literal: true

module Jobshop
  class Order < ApplicationRecord
    belongs_to :organization, -> { readonly }, inverse_of: :orders

    belongs_to :customer

    has_many :order_lines, inverse_of: :order
  end
end
