# frozen_string_literal: true

module Jobshop
  class Place < ApplicationRecord
    belongs_to :organization, -> { readonly }, inverse_of: :places

    validates :name, presence: true,
      uniqueness: { scope: :organization_id, case_sensitive: false }
  end
end
