# frozen_string_literal: true

module Jobshop
  class RoleAssignment < ApplicationRecord
    belongs_to :organization, -> { readonly }

    belongs_to :user

    belongs_to :role

    before_validation(on: :create) do
      self.organization ||= user.organization || role.organization
    end
  end
end
