Jobshop::Engine.routes.draw do
  default_url_options = { protocol: :https, host: "jobshop.test" }

  devise_for :users, class_name: "Jobshop::User", module: :devise

  scope "/sales" do
    resources :rfqs
  end

  scope "/hr" do
    resources :employees
  end

  scope "/admin" do
    resources :departments
    resources :roles
    resource :organization
  end

  root to: "dashboards#show"
end
